File ghc-these.changes of Package ghc-these

-------------------------------------------------------------------
Thu May 16 19:49:16 UTC 2024 - Peter Simons <psimons@suse.com>

- Update these to version 1.2.1.
  # 1.2.1

  - Support GHC-8.6.5...GHC-9.10.1

-------------------------------------------------------------------
Thu Nov 16 13:29:42 UTC 2023 - Peter Simons <psimons@suse.com>

- Drop obsolete dependency on foldable1-classes-compat.

-------------------------------------------------------------------
Wed Oct  4 15:24:33 UTC 2023 - Peter Simons <psimons@suse.com>

- Update these to version 1.2 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.

-------------------------------------------------------------------
Sat May 27 09:22:59 UTC 2023 - Ondřej Súkup <mimi.vx@gmail.com>

- Update these to version 1.2.
  # 1.2

  - Depend on `bifunctor-classes-compat` instead of `bifunctors`
    See changelog note in `bifunctors-5.6`: https://hackage.haskell.org/package/bifunctors-5.6/changelog
    This is breaking change, but affects only GHC-8.0 and older users.
    In that case you should check various combinations of newer/older
    `bifunctors`, `these` (and e.g. `semialign`) packages.
  - Depend on `assoc-1.1`. Since version 1.1 `assoc` has an almost trivial
    dependency footprint, so `these` depends on it unconditionally.
  - Add `Bifoldable1 These` instance
  - Add `Foldable1 (Data.Functor.These1 f g)` instance
  - Change `Eq (These1 f g a)`, `Ord`, `Read`, `Show`, `NFData` instances similarly to how
    they are changed for `Product` and `Sum` in `base-4.18.0.0`.

-------------------------------------------------------------------
Thu Mar 30 17:08:36 UTC 2023 - Peter Simons <psimons@suse.com>

- Updated spec file to conform with ghc-rpm-macros-2.5.2.

-------------------------------------------------------------------
Wed Aug 10 19:43:00 UTC 2022 - Peter Simons <psimons@suse.com>

- Update these to version 1.1.1.1 revision 6.
  Upstream has revised the Cabal build instructions on Hackage.

-------------------------------------------------------------------
Tue Nov 16 19:50:44 UTC 2021 - psimons@suse.com

- Update these to version 1.1.1.1 revision 5.
  Upstream has revised the Cabal build instructions on Hackage.

-------------------------------------------------------------------
Mon Nov  1 08:34:34 UTC 2021 - psimons@suse.com

- Update these to version 1.1.1.1 revision 4.
  Upstream has revised the Cabal build instructions on Hackage.

-------------------------------------------------------------------
Wed Jul 28 07:41:30 UTC 2021 - psimons@suse.com

- Update these to version 1.1.1.1 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.

-------------------------------------------------------------------
Mon Feb 15 07:45:37 UTC 2021 - psimons@suse.com

- Update these to version 1.1.1.1 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.

-------------------------------------------------------------------
Thu Dec 17 12:20:00 UTC 2020 - Ondřej Súkup <mimi.vx@gmail.com>
 
- disable %{ix86} build
 
-------------------------------------------------------------------
Tue Aug 18 10:46:17 UTC 2020 - Peter Simons <psimons@suse.com>

- Replace %setup -q with the more modern %autosetup macro.

-------------------------------------------------------------------
Wed Jul 15 02:00:25 UTC 2020 - psimons@suse.com

- Update these to version 1.1.1.1.
  # 1.1.1.1

  - Workaround GCC-4 C-preprocessor bug

-------------------------------------------------------------------
Fri Jul 10 02:00:24 UTC 2020 - psimons@suse.com

- Update these to version 1.1.1.
  # 1.1.1

  - These doesn't depend on `base-compat` anymore
  - Add `NFData1/2`, `Hashable1/2`, `Eq1/2` ... instances

-------------------------------------------------------------------
Tue Jun  9 09:36:42 UTC 2020 - psimons@suse.com

- Add these at version 1.1.

openSUSE Build Service is sponsored by